ChiliProject - Task # 31: Create a compatibility process showing how to share code with Redmine

Status: Open Priority: Normal
Author: Muntek Singh Category:

Created: 2010-12-29 Assignee:

Updated: 2011-02-01 Due date:

Remote issue URL:

Description: Create a compatibility process showing how to share code with Redmine

History

2010-12-29 04:54 pm - Eric Davis

| think this should include a few things. (Just writing them down so | don't forget them)

* Wrapper classes for @Redmine@. Will handle the bulk of the differences

* Renaming and aliasing code that is called "redmine" (e.g. @requires_redmine_version@ method)

* Process for reviewing Redmine's code and adding it to Bluemine

** Review after each release?

** Security updates

** Bugfixes - both ones fixed in Redmine and ones fixed in Bluemine that need to be sent to Redmine

** Linking of Bluemine issues to Redmine

2010-12-29 04:55 pm - Eric Davis
- Target version deleted ()

2011-01-12 02:29 pm - Eric Davis
- Tracker changed from Bug to Task

2011-01-13 03:36 pm - Eric Davis
- Subproject of deleted (#28)

2011-02-01 10:49 pm - Felix Schafer
- Status set to Open
